org.optaplanner.core.impl.score.stream.drools.uni

## Class DroolsUniToBiGroupByInvoker<A,NewA,NewB>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByInvoker<A>
  - - org.optaplanner.core.impl.score.stream.drools.uni.DroolsUniToBiGroupByInvoker<A,NewA,NewB>

- All Implemented Interfaces:
    org.drools.core.spi.Accumulator, org.drools.core.spi.Invoker, org.drools.core.spi.RuleComponent

      public class DroolsUniToBiGroupByInvoker<A,NewA,NewB>
      extends DroolsAbstractGroupByInvoker<A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsUniToBiGroupByInvoker(Function<A,NewA> groupKeyMapping, UniConstraintCollector<A,?,NewB> collector, org.drools.model.Variable<A> aVariable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <X> A` | `createInput(Function<org.drools.model.Variable<X>,X> valueFinder)`
    `protected DroolsAbstractGroupBy<A,?>` | `newContext()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByInvoker

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, reverse, supportsReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.spi.Accumulator

      `isCompiledInvoker`

- - ### Constructor Detail

    - #### DroolsUniToBiGroupByInvoker

          public DroolsUniToBiGroupByInvoker(Function<A,NewA> groupKeyMapping,
                                             UniConstraintCollector<A,?,NewB> collector,
                                             org.drools.model.Variable<A> aVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<A,?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByInvoker<A>`

    - #### createInput

          protected <X> A createInput(Function<org.drools.model.Variable<X>,X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByInvoker<A>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.